%define name	ask
%define version	2.4.1
%define release	1mdk

Summary:	Active Spam Killer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://www.paganini.net/ask-2.4
Group:		Networking/Mail
Requires:	python
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Active Spam Killer (ASK) protects your email account against spam
by confirming the sender's email address before actual delivery
takes place. The confirmation happens by means of a "confirmation
message" that is automatically sent to all "unknown" users. Once
the sender replies to that message (a simple reply will do),
future emails from that person will be delivered immediately. You
can also specify (regexp) addresses to be immediately accepted,
rejected (with a nastygram) or ignored. The package also includes
a utility to scan your old mailboxes and generate a list of emails
to be accepted automatically.

%prep

%setup -q

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/ask
install -d %{buildroot}%{_datadir}/ask
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_datadir}/ask/templates
install -d %{buildroot}%{_datadir}/ask/samples

install -m0755 ask.py asksetup.py %{buildroot}%{_bindir}/
install -m0755 askversion.py %{buildroot}%{_bindir}/
install -m0755 utils/asksenders.py %{buildroot}%{_bindir}/

install -m0644 askconfig.py %{buildroot}%{_libdir}/ask/
install -m0644 asklock.py %{buildroot}%{_libdir}/ask/
install -m0644 asklog.py %{buildroot}%{_libdir}/ask/
install -m0644 askmail.py %{buildroot}%{_libdir}/ask/
install -m0644 askmain.py %{buildroot}%{_libdir}/ask/
install -m0644 askmessage.py %{buildroot}%{_libdir}/ask/
install -m0644 askremote.py %{buildroot}%{_libdir}/ask/

install -m0644 samples/* %{buildroot}%{_datadir}/ask/samples/
install -m0644 templates/* %{buildroot}%{_datadir}/ask/templates/

install -m0644 docs/*.1 %{buildroot}%{_mandir}/man1/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog TODO
%doc docs/ask_doc.css docs/ask_doc.html docs/ask_doc.pdf docs/ask_doc.txt
%{_bindir}/ask.py
%{_bindir}/asksetup.py
%{_bindir}/askversion.py
%{_bindir}/asksenders.py

%{_libdir}/ask/askconfig.py
%{_libdir}/ask/asklock.py
%{_libdir}/ask/asklog.py
%{_libdir}/ask/askmail.py
%{_libdir}/ask/askmain.py
%{_libdir}/ask/askmessage.py
%{_libdir}/ask/askremote.py

%{_datadir}/ask/samples/blacklist.txt
%{_datadir}/ask/samples/ignorelist.txt
%{_datadir}/ask/samples/sample_askrc
%{_datadir}/ask/samples/whitelist.txt

%{_datadir}/ask/templates/blacklist_da.txt
%{_datadir}/ask/templates/blacklist_de.txt
%{_datadir}/ask/templates/blacklist_en.txt
%{_datadir}/ask/templates/blacklist_es.txt
%{_datadir}/ask/templates/blacklist_fi.txt
%{_datadir}/ask/templates/blacklist_fr.txt
%{_datadir}/ask/templates/blacklist_it.txt
%{_datadir}/ask/templates/blacklist_nl.txt
%{_datadir}/ask/templates/blacklist_ptbr.txt
%{_datadir}/ask/templates/confirm_da.txt
%{_datadir}/ask/templates/confirm_de.txt
%{_datadir}/ask/templates/confirm_en.txt
%{_datadir}/ask/templates/confirm_es.txt
%{_datadir}/ask/templates/confirm_fi.txt
%{_datadir}/ask/templates/confirm_fr.txt
%{_datadir}/ask/templates/confirm_it.txt
%{_datadir}/ask/templates/confirm_nl.txt
%{_datadir}/ask/templates/confirm_ptbr.txt

%{_mandir}/man1/ask.py.1*
%{_mandir}/man1/asksenders.py.1*
%{_mandir}/man1/asksetup.py.1*
%{_mandir}/man1/askversion.py.1*

%changelog
* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.1-1mdk
- initial cooker contrib
